org.apache.maven.project

## Interface MavenProjectHelper

All Known Implementing Classes:
  DefaultMavenProjectHelper

    public interface MavenProjectHelper

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`void` `addResource(MavenProject project, java.lang.String resourceDirectory, java.util.List includes, java.util.List excludes)`
`void` `addTestResource(MavenProject project, java.lang.String resourceDirectory, java.util.List includes, java.util.List excludes)`
`void` `attachArtifact(MavenProject project, java.io.File artifactFile, java.lang.String artifactClassifier)`
`void` `attachArtifact(MavenProject project, java.lang.String artifactType, java.io.File artifactFile)`
`void` `attachArtifact(MavenProject project, java.lang.String artifactType, java.lang.String artifactClassifier, java.io.File artifactFile)`

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### attachArtifact

    void attachArtifact(MavenProject project,
                      java.io.File artifactFile,
                      java.lang.String artifactClassifier)

#### attachArtifact

    void attachArtifact(MavenProject project,
                      java.lang.String artifactType,
                      java.io.File artifactFile)

#### attachArtifact

    void attachArtifact(MavenProject project,
                      java.lang.String artifactType,
                      java.lang.String artifactClassifier,
                      java.io.File artifactFile)

#### addResource

    void addResource(MavenProject project,
                   java.lang.String resourceDirectory,
                   java.util.List includes,
                   java.util.List excludes)

#### addTestResource

    void addTestResource(MavenProject project,
                       java.lang.String resourceDirectory,
                       java.util.List includes,
                       java.util.List excludes)